# Unbundle gnulib
%bcond_with psutils_enables_unbundling_gnulib

Name:       psutils
Version:    2.04
Release:    %mkrel 1
Summary:    PostScript utilities
# COPYING:          GPLv3 text
# epsffit.1:        GPLv3+
# epsffit.in.in:    GPLv3+
# extractres.in.in: psutils
# includeres.in.in: psutils
# psbook.1:         GPLv3+
# psbook.in.in:     GPLv3+
# psjoin.1:         GPLv3+
# psjoin.in.in:     GPLv3+
# psnup.in.in:      GPLv3+
# psresize.1:       GPLv3+
# psresize.in.in:   GPLv3+
# psselect.1:       GPLv3+
# psselect.in.in:   GPLv3+
# pstops.1:         GPLv3+
# pstops.in.in:     GPLv3+
# PSUtils.pm:       GPLv3+
# README:           GPLv3+
## Not in any binary package
# aclocal.m4:       FSFULLR
# build-aux/compile:        GPLv2+ with Autoconf exception
# build-aux/config.guess:   GPLv3+ with Autoconf exception
# build-aux/config.sub:     GPLv3+ with Autoconf exception
# build-aux/depcomp:        GPLv2+ with Autoconf exception
# build-aux/install-sh:     MIT
# build-aux/missing:        GPLv2+ with Autoconf exception
# build-aux/mdate-sh:       GPLv2+ with Autoconf exception
# build-aux/test-driver:    GPLv2+ with Autoconf exception
# build-aux/texinfo.tex:    GPLv3+ with TeX exception
# configure:                FSFULLR
# INSTALL:                  FSFAP
# m4/00gnulib.m4:           FSFULLR
# m4/ax_check_gnu_make.m4:  FSFAP
# m4/gnulib-common.m4:      FSFULLR
# m4/gnulib-comp.m4:        GPLv3+ with Autoconf exception
# m4/relocatable-lib.m4:    FSFULLR
# Makefile.in:              FSFULLR
# old-scripts/fixwfwps:     See LICENSE
# pre-inst-env:             GPLv2+
# pre-inst-env.in:          GPLv2+
License:    GPLv3+ and psutils
Group:	    Publishing
URL:        https://github.com/rrthomas/%{name}
Source:     https://github.com/rrthomas/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  autoconf
BuildRequires:  automake >= 1.11
BuildRequires:  bash
# coreutils for chmod in Makefile.am
BuildRequires:  coreutils
# gcc is a default autoconf dependency and populates EXEEXT variable used in
# Makefile.am.
BuildRequires:  gcc
%if %{with psutils_enables_unbundling_gnulib}
BuildRequires:  gnulib-devel
%endif
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  sed
# Run-time:
BuildRequires:  paper
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  diffutils
# Only for building
Provides:       bundled(gnulib)%(perl -ne 'if($. == 1 and /\A(\d+)-(\d+)-(\d+)/) {print qq{ = $1$2$3}}' %{_defaultdocdir}/gnulib/ChangeLog 2>/dev/null)
Requires:       paper

# Filter private modules
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(PSUtils\\)
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(PSUtils\\)

%description
Utilities for manipulating PostScript documents.
Page selection and rearrangement are supported, including arrangement into
signatures for booklet printing, and page merging for n-up printing.

%prep
%setup -q
%if %{with psutils_enables_unbundling_gnulib}
gnulib-tool --import --no-changelog relocatable-perl
%endif

%build
autoreconf -fi
%configure --disable-relocatable
%make_build
 
%install
%make_install

%check
unset PSUTILS_UNINSTALLED
make check %{?_smp_mflags}

%files
%license COPYING
# ChangeLog is not helpful
# old-scripts excluded intentionally
%doc README
%{_bindir}/epsffit
%{_bindir}/extractres
%{_bindir}/includeres
%{_bindir}/psbook
%{_bindir}/psjoin
%{_bindir}/psnup
%{_bindir}/psresize
%{_bindir}/psselect
%{_bindir}/pstops
%{_datadir}/%{name}
%{_mandir}/man1/epsffit.1*
%{_mandir}/man1/extractres.1*
%{_mandir}/man1/includeres.1*
%{_mandir}/man1/psbook.1*
%{_mandir}/man1/psjoin.1*
%{_mandir}/man1/psnup.1*
%{_mandir}/man1/psresize.1*
%{_mandir}/man1/psselect.1*
%{_mandir}/man1/pstops.1*
%{_mandir}/man1/psutils.1*


%changelog
* Thu Dec 03 2020 luigiwalser <luigiwalser> 2.04-1.mga8
+ Revision: 1652169
- 2.04 (resync with fedora)

* Fri Feb 14 2020 umeabot <umeabot> 1.23-3.mga8
+ Revision: 1516179
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.23-2.mga7
+ Revision: 1300396
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.23-1.mga6
+ Revision: 921750
- 1.23 (sources from fedora)

* Thu Oct 15 2015 blino <blino> p17-21.mga6
+ Revision: 891888
- do not strip binaries, to be able to generate debuginfo

* Wed Oct 15 2014 umeabot <umeabot> p17-20.mga5
+ Revision: 749994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> p17-19.mga5
+ Revision: 687825
- Mageia 5 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> p17-18.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> p17-18.mga3
+ Revision: 378286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 tv <tv> p17-17.mga2
+ Revision: 232226
- no need to require per

* Fri Jan 07 2011 pterjan <pterjan> p17-16.mga1
+ Revision: 264
- imported package psutils


* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> p17-16mdv2010.1
+ Revision: 520205
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> p17-15mdv2010.0
+ Revision: 426787
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> p17-14mdv2009.1
+ Revision: 351592
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> p17-13mdv2009.0
+ Revision: 225110
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> p17-12mdv2008.1
+ Revision: 179366
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Adam Williamson <awilliamson@mandriva.org> p17-11mdv2008.0
+ Revision: 73311
- correct license (#32876)


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> p17-10mdv2007.0
+ Revision: 114737
- mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> p17-9mdk
- Rebuild

